<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb        = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin      = $_SESSION["admin_" . $dbname];
$success    = false;

$file       = "agent.php";

$keyfld     = "accode";
$rangeFrom  = $_REQUEST["rangeFrom"];
$rangeTo    = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator   = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` = '$searchTerm'";
    }if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `add1` = '$searchTerm'";
    }if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `city` = '$searchTerm'";
    }if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `pin` = '$searchTerm'";
    }if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `tel` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    }if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `add1` LIKE '%$searchTerm%'";
    }if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `city` LIKE '%$searchTerm%'";
    }if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `pin` LIKE '%$searchTerm%'";
    }if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `tel` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `area`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `name`";
    }if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `add1`";
    }if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `city`";
    }if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `pin`";
    }if ($_REQUEST["sortBy"] == "5") {
        $sortcond = " ORDER BY `tel`";
    }
    
 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }


$query = "SELECT * FROM `accmast` WHERE grpcode = '044' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success'   => true,
                'value'     => $ctr,
                'keyfld'    => $keyfld,
                'name'      => $r['name'],
                'address'   => $r['add1'] . $r['add2'] . $r['add3'],
                'city'      => $r['city'],
                'pin'       => $r['pin'],
                'tel'       => $r['tel'],
                'action'    => "$file?mode=edit&accode=$r[accode]",
        ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
